Meet npm Pro: unlimited public & private packages + package-based permissions.Learn more »

express-errs

1.0.0 • Public • Published

express-errors

Express middleware for displaying Rails-inspired error pages for development environments with error name, message, stack trace and extracted code around source of error.

Note: It does not swallow errors, they still get the same usual output in the console.

Tip: Looking for koa version?

Installation

$ npm install express-errs --save

Question: Why is the name so weird? Because express is so popular, it was impossible to find a normal name for this package.

Usage

var express = require('express');
var errors = require('express-errs');
 
var app = express();
 
app.get('/', function (req, res) {
  throw new Error('Oh no!');
  
  res.end('Oh yes!');
});
 
app.use(errors());
 
app.listen(3000);
 

License

express-errors is released under the MIT license.

Install

npm i express-errs

DownloadsWeekly Downloads

1

Version

1.0.0

License

MIT

Last publish

Collaborators

  • avatar